using Backend.Extensions;

var builder = WebApplication.CreateBuilder(args);

builder.Services.AddApplicationServices(builder.Configuration, builder.Environment);

var app = builder.Build();

app.UseApplicationPipeline();
await app.InitializeDatabaseAsync();
app.MapApplicationEndpoints();

app.Run();
